import { MultiTypeChart } from 'components/charts';

function ReportMultiTypeChart() {
  const data = {
    labels: ['January', 'February', 'March', 'April', 'May', 'June', 'July'],
    datasets: [
      {
        type: 'line' as const,
        label: 'Dataset 1',
        borderColor: 'rgb(255, 99, 132)',
        borderWidth: 2,
        fill: false,
        data: [50, 50, 50, 50, 50, 50, 50],
      },
      {
        type: 'line' as const,
        label: 'Dataset 2',
        backgroundColor: 'rgb(75, 192, 192)',
        data: [10, 20, 30, 40, 50, 60, 70],
        borderWidth: 2,
        fill: false,
      },
    ],
  };
  const options = {
    scales: {
      y: {
        beginAtZero: true,
      },
    },
  };
  return (
    <div>
      <MultiTypeChart type='bar' height={320} data={data} options={options} />
    </div>
  );
}

export default ReportMultiTypeChart;
