const breakpoints = {
  xs: '320px',
  sm: '720px',
  md: '1280px',
  lg: '1600px',
  xl: '1920px',
};

const area = {
  headerHeight: '60px',
  sideBar: '272px',
};

const grid = {
  column: {
    get() {
      return 12;
    },
    xs: 4,
    sm: 8,
  },
  gutter: '16px',
  margin: '48px',
};

export const layout = {
  breakpoints,
  area,
  grid,
} as const;
