const base = {
  '01': 4,
  '02': 8,
  '03': 12,
  '04': 16,
  '05': 24,
  '06': 32,
  '07': 48,
  '08': 60,
  '09': 80,
  '11': 120,
};

const modal = {
  small: '464px',
  medium: '704px',
  large: '944px',
  xlarge: '1184px',
};

const button = {
  xsmall: '16px',
  small: '24px',
  medium: '32px',
  large: '48px',
  xlarge: '60px',
};

export const spacing = {
  base,
  modal,
  button,
} as const;
