import { Collapse as AntCollapse, CollapseProps, theme } from 'antd';
import styled from 'styled-components';

function Collapse(props: CollapseProps) {
  return <AntCollapse {...props} />;
}

const Panel = styled(AntCollapse.Panel)`
  & .sbt-collapse-header:hover {
    color: ${theme.defaultConfig.token.colorPrimary};
  }
`;

Collapse.Panel = Panel;

export { Collapse };
