import React from 'react';

interface DisplayNoneProps {
  enabled?: boolean;
  children: React.ReactNode;
}

export const DisplayNone: React.FC<DisplayNoneProps> = ({
  enabled = false,
  children,
}) => {
  return <div style={{ display: enabled ? 'none' : '' }}>{children}</div>;
};
