import { QueryClient } from '@tanstack/react-query';

const REACT_QUERY_STALETIME_MS = 10 * 1000;

export const queryClient = new QueryClient({
  defaultOptions: {
    queries: {
      staleTime: REACT_QUERY_STALETIME_MS,
      retry: false,
      refetchOnReconnect: false,
      refetchOnWindowFocus: false,
    },
  },
});
