import { GlobalSpin } from 'components/spin';
import { RouterProvider } from 'react-router';
import { useAppRouter } from './useAppRouter';

export default function AppRoutes() {
  const router = useAppRouter();

  return (
    <RouterProvider
      router={router}
      fallbackElement={<GlobalSpin />}
    ></RouterProvider>
  );
}
