const baseColors = {
  '01': '#000000',
  '02': '#333333',
  '03': '#5A5A5A',
  '04': '#767676',
  '05': '#959595',
  '06': '#A5A5A5',
  '07': '#CCCCCC',
  '08': '#DBDBDB',
  '09': '#EAEAEA',
  '10': '#F7F7F7',
  '11': '#FFFFFF',
} as const;

export const colors = {
  primary: '#6128B1',
  point: '#3BCDC7',

  status: {
    negative: '#E81010',
    warning: '#FDBE2F',
    positive: '#4FCE67',
    prpcessing: '#336AFF',
    neutral: baseColors['05'],
    notification: '#FF5858',
  },

  background: {
    default: baseColors['10'],
    content: baseColors['11'],
    header: baseColors['11'],
    sideArea: baseColors['11'],
    modal: baseColors['11'],
  },

  border: {
    default: baseColors['08'],
    header: '#553CA5',
    modal: baseColors['07'],
  },
} as const;
